Get tax summary
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"year": 2024,
"projected_taxes_owed": 123,
"taxes_due_at": "2024-04-15",
"uncategorized_tax_payments": 123,
"sections": [
{
"label": "Federal Income & Self-Employment Tax",
"total": 123,
"taxes_paid": 123,
"taxes_owed": 123
}
],
"type": "Tax_Summary"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Tax Estimates
Get tax summary
Returns a summary of projected taxes owed with breakdown by federal and state tax components. This provides a high-level overview of total taxes due, what has been paid, and what remains owed.
GET
/
v1
/
businesses
/
{businessId}
/
tax-estimates
/
summary
Get tax summary
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/businesses/{businessId}/tax-estimates/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"year": 2024,
"projected_taxes_owed": 123,
"taxes_due_at": "2024-04-15",
"uncategorized_tax_payments": 123,
"sections": [
{
"label": "Federal Income & Self-Employment Tax",
"total": 123,
"taxes_paid": 123,
"taxes_owed": 123
}
],
"type": "Tax_Summary"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}To enable the Tax Estimates feature for your customers, request access from your Layer representative.
Summary calculation details
The summary is a roll-up of the same calculation that powers Get tax details:projected_taxes_owedis the total projected annual liability (federal income + self-employment + Medicare surtax + state income + state additional taxes), in cents, after applying the requestedreporting_basisandfull_year_projectionbehavior described below.taxes_due_atis the due date of the next quarterly estimated tax payment.uncategorized_tax_paymentsis the portion of recorded tax payments that have not yet been categorized as federal or state; these are excluded from the per-sectiontaxes_paidtotals until categorized.sectionsbreaks the total down by component (e.g. “Federal Income & Self-Employment Tax”, “State Income Tax”). For each section:totalis the projected gross liability for that component, before any payments.taxes_paidis the amount already paid toward that component.taxes_owed=total−taxes_paidis the remaining balance for that component.
taxes_owed across sections (and accounting for uncategorized_tax_payments) reconciles to the overall amount still due.